Post by golive69 » Tue Apr 20, 2021 7:59 am

Wow I was really excited to be designing again. I really had fun with the fixes and playing with the layouts.
Two weeks all guns ho. Now one week at a discouraging stop. Searching and reading like crazy.

What went wrong?
1) First time user of OC. (I was only offered a non-stable version 3.0.3.7).
2) Outdated install manual (had me install VQ in a manner that does not allow to disable, furthermore not needed in v3).
3) Set my timezone, bye bye admin login. (tried a few fixes then enabled write session to file instead of DB, not sure how slow that may load 10 years from now).
4) Auto-update Currency (boo hoo tried 3 different fixes including update function)
5) Can't edit or add an order, (needed to completely disable API for life).
6) Now that I can enter the add, edit order I can't save it (Ship and payment option are in place on edit order, Ship and payment not offered on add order, Error need to select method).
7) As a result my customers now enjoy unlimited session :(
Is it just me or is this the common welcome mat for new users, If so someone has a very sick sense of humor.

After much reading I was ready to go with 2.3.0.2.
https://github.com/condor2/Opencart_2302
Same problem as number 6.

So as you can see I have no problem in rolling up my sleeves. If the solution is a good option.
I am frustrated and at a complete stop. Should I go with 2.2.0.0, 2.3.0.2, 3.2.0.0 or what?
Please please advise. Before I loss the rest of my hair.

User avatar
Newbie

Posts

Joined
Thu Mar 18, 2021 1:36 am
Location - BC, Mexico

Post by OSWorX » Tue Apr 20, 2021 2:12 pm

One of many reasons why we still use the 2.3.0.2 Version for new client installations.
And to start and be able to run a Webshop, we have created a - based on the original files, but fixed - Installer for that version:
https://osworx.net/Fehlerbehebung/OpenC ... -w-openSSL

There you will find also a second package with almost all bugfixes for that Version to install after first installation - optional.

nb: using that version, we never had such troubles you describe. Shame that it is an older Version, but as it seems, still the best of all. 3.0.2.0 was also not so bad, but because if twig and other things, I prefer the 2.x branch.

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by golive69 » Wed Apr 21, 2021 1:24 am

Much thanks OSWorX, I was looking for the current consensuses. Sounds like solid advice. I was also going to ask what fixes I would need with said version and you took care of that too.

We do a lot of local orders and without add to order or phone orders our support would look very unaccommodating. So that was a big stop for me. And who knows we didn't make it to test for missing orders and notifications.

Next challenge will be order status and integrating with FedEx.

User avatar
Newbie

Posts

Joined
Thu Mar 18, 2021 1:36 am
Location - BC, Mexico

Post by OSWorX » Wed Apr 21, 2021 2:51 am

Hope I could help.
All Extensions from me are made because either I needed it for myself, or clients of us.
And because of that, all Extensions are maintained regularely - some for different versions (e.g. 2.x and 3.x branch and/or subversions).
If you need more, just contact me.

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria
Who is online

Users browsing this forum: No registered users and 1 guest